Package com.usatiuk.dhfs.jkleppmanntree

# Class JKleppmannTreeManager

java.lang.Object
com.usatiuk.dhfs.jkleppmanntree.JKleppmannTreeManager

@ApplicationScoped public class JKleppmannTreeManager extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`JKleppmannTreeManager.JKleppmannTree`

## Constructor Summary

Constructors
Constructor
Description
`JKleppmannTreeManager()`

## Method Summary

Modifier and Type
Method
Description
`Optional<JKleppmannTreeManager.JKleppmannTree>`
`getTree(JObjectKey name)`
`JKleppmannTreeManager.JKleppmannTree`
`getTree(JObjectKey name, Supplier<JKleppmannTreeNodeMeta> rootNodeSupplier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JKleppmannTreeManager

public JKleppmannTreeManager()

## Method Details

### getTree

public JKleppmannTreeManager.JKleppmannTree getTree(JObjectKey name, Supplier<JKleppmannTreeNodeMeta> rootNodeSupplier)

### getTree

public Optional<JKleppmannTreeManager.JKleppmannTree> getTree(JObjectKey name)